#
# spec file for package dwr
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           dwr
Version:        3.0.2
Release:        0.11.35.uyuni3
Summary:        Direct Web Remoting
Group:          Development/Libraries/Java
License:        Apache-2.0
Url:            http://directwebremoting.org
Source0:        %{name}-%{version}-RELEASE.tar.gz
Source1:        dwr-purge-source-tree.list
Patch0:         dwr-no-noncla-no-junit.patch
# The following two patches should address DWR-467 but they do not
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Requires:       java
BuildRequires:  java-devel >= 1.7.0
BuildRequires:  ant
%if 0%{?rhel}
BuildRequires:  glibc-all-langpacks
%endif

%description
DWR is a Java library that enables Java on the server and JavaScript
in a browser to interact and call each other as simply as possible.

%prep
%setup -q -n %{name}-%{version}-RELEASE
%patch0 -p0

%build
while read i ; do rm -v -f "./$i" ; done < %{S:1}
LC_CTYPE=en_US.iso-8859-1 ant -Dant.build.javac.source=1.7 -Dant.build.javac.target=1.7 jar

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 ./target/ant/dwr.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -sf %{name}-%{version}.jar %{name}.jar)

%files
%attr(0644,root,root) %{_javadir}/%{name}-%{version}.jar
%attr(0644,root,root) %{_javadir}/%{name}.jar

%changelog
* Sat Dec 12 2020 Michael Calmer <mc@suse.com>
- fix build on CentOS8
* Sun Apr 22 2018 mc@suse.com
- update 3.0.2
- fix cross-site scripting (XSS) vulnerability (bsc#1085650)
  CVE-2014-5326
* Tue Oct 31 2017 jgonzalez@suse.com
- Fix build with java9
* Tue Jul  1 2014 dmacvicar@suse.de
- use SPDX license names
  (http://spdx.org/licenses/)
* Tue Apr  8 2014 dmacvicar@suse.de
- update to 3.0rc2+svn4059 to address DWR-467 related problems
  which were still present
- use bzip2 for the sources
- do not remove buildroot
* Wed Aug 28 2013 mc@suse.de
- patch for the "A server error has occurred" issue (DWR-467)
- build from sources
* Mon Dec  3 2012 mc@suse.de
- initial release
